gensio_get_raddr(3)

NAME
gensio_get_raddr - Return the remote address for the gensio as a raw address

SYNOPSIS
#include <gensio/gensio.h>

int gensio_get_raddr(struct gensio *io, void *addr,
    void *addrlen);

DESCRIPTION
Return the remote address for the connection. addrlen must be set to the size of addr and will be updated to the actual size. If addrlen is not large enough to hold the data, the updated addrlen will be set to the number of bytes required to hold the address, though the data in the address will be truncated. The value returned here is connection dependent, and for filter layers it will pass the call down to the lowest layer to get the addresses. Some connection types will not support this.

RETURN VALUES
Zero is returned on success, or a gensio error on failure.

SEE ALSO
gensio_err(3), gensio(5)